UNREGISTER_NETDEVICE(9)

NAME
unregister_netdevice_queue - remove device from the kernel

SYNOPSIS

void unregister_netdevice_queue(struct net_device * dev, struct list_head * head);

ARGUMENTS

dev
    device

head
    list

DESCRIPTION

This function shuts down a device interface and removes it from the kernel tables. If head not NULL, device is queued to be unregistered later.

Callers must hold the rtnl semaphore. You may want unregister_netdev instead of this.

COPYRIGHT